
package de.ivu.elect.presentation.gebietsbaum.menu;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.wahl.boundary.WahlSessionSelect;

/**
 *  on 20.07.2016.
 */
@Specializes
public class CoreGebietSearchMenuItemEntry extends GebietSearchMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlSessionSelect wahlSessionSelect;

  public CoreGebietSearchMenuItemEntry() {
    super();
  }

  @Override
  protected boolean isWahlOrWahlterminSelected() {
    return wahlSessionSelect.isSelected();
  }
}
